Проблема с composer — установка yii2

Столкнулся с неприятной проблемой при установке yii2  с помощью composer. В ходе установки вылазила ошибка:

Could not fetch (Github authorization URL : api.github.com/authorizations ), enter your GitHub credentials to go over the API rate limit
The credentials will be swapped for an OAuth token stored in /home/www/.composer/auth.json, your password will not be stored
To revoke access to this token you can visit github applications.

Эта ошибка говорит нам о том, что нужно авторизоваться на github.com под своим логином и создать токен для composer, чтобы обойти ограничения на количество запросов к api. Если вводить логин и пароль в самом composer он получает токен, но тут же выдает снова ошибку. Решение оказалось таким:

1. Идем https://github.com/s…gs/applications и удаляем сгенерированный с помощью composer токен
2. Создаем новый токен.
3. Запускаем в консоли: php composer.phar config -g github-oauth.github.com <oauthtoken> ( <oauthtoken> — ваш новый токен )
4. Перезапускаем инсталяцию yii2

This entry was posted in Памятка and tagged , , . Bookmark the permalink.

Добавить комментарий

Ваш e-mail не будет опубликован. Обязательные поля помечены *

*